#
# spec file for package viewres
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           viewres
Version:        1.0.7
Release:        1.3
Summary:        Graphical class browser for Xt
License:        X11
Group:          System/X11/Utilities
URL:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xt)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
viewres displays a tree showing the widget class hierarchy of the
Athena Widget Set (libXaw).

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README.md
%{_bindir}/viewres
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/Viewres
%{_datadir}/X11/app-defaults/Viewres-color
%{_mandir}/man1/viewres.1%{?ext_man}

%changelog
* Sat Oct 15 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.7
  * gitlab CI: add a basic build test
  * man page: remove out-of-date COPYRIGHT section
  * Apply X.Org standard coding style
  * Remove obsolete casts on calloc & malloc calls
  * Variable scope reductions as suggested by cppcheck
  * set_node_labels: move dereference of node to after the NULL check
  * Add .git-blame-ignore-revs to hide whitespace commits from git blame
* Mon Aug 26 2019 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.6
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * Pass -D_CONST_X_STRING to make libXt declare String as const char *
  * Fix -Wsign-compare warnings
  * Fix -Wshadow warnings
* Mon Mar  5 2018 sndirsch@suse.com
- Update to version 1.0.5
  * config: Add missing AC_CONFIG_SRCDIR
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
* Thu Feb  6 2014 sndirsch@suse.com
- fixed license to X11 in specfile
* Sat Jan 19 2013 zaitor@opensuse.org
- Update to version 1.0.4:
  + Eliminate use of tab stops. Helps with structural translation
    to DocBook.
  + config:
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
  - Replace deprecated AC_HELP_STRING with AS_HELP_STRING.
  - Move man pages into their own directory.
  + man:
  - Replace hard coded man page section with substitution strings
  - Remove trailing spaces and tabs.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split viewres from xorg-x11. Initial version: 1.0.3.
